package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

/* loaded from: org_apache_bcel_generic.jar:org/apache/bcel/generic/PUTFIELD.class */
public class PUTFIELD extends FieldInstruction implements PopInstruction, ExceptionThrower {
    /* JADX INFO: Access modifiers changed from: package-private */
    public PUTFIELD() {
    }

    public PUTFIELD(int index) {
        super((short) 181, index);
    }

    @Override // org.apache.bcel.generic.Instruction
    public void accept(Visitor v) {
        v.visitExceptionThrower(this);
        v.visitStackConsumer(this);
        v.visitPopInstruction(this);
        v.visitTypedInstruction(this);
        v.visitLoadClass(this);
        v.visitCPInstruction(this);
        v.visitFieldOrMethod(this);
        v.visitFieldInstruction(this);
        v.visitPUTFIELD(this);
    }

    @Override // org.apache.bcel.generic.Instruction, org.apache.bcel.generic.StackConsumer
    public int consumeStack(ConstantPoolGen cpg) {
        return getFieldSize(cpg) + 1;
    }

    @Override // org.apache.bcel.generic.ExceptionThrower
    public Class<?>[] getExceptions() {
        return ExceptionConst.createExceptions(ExceptionConst.EXCS.EXCS_FIELD_AND_METHOD_RESOLUTION, new Class[]{ExceptionConst.NULL_POINTER_EXCEPTION, ExceptionConst.INCOMPATIBLE_CLASS_CHANGE_ERROR});
    }
}
